VULKAN_HPP_NAMESPACE::BindImageMemoryInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BindImageMemoryInfo:
[legend]

## Public Member Functions

| BindImageMemoryInfo (Image image_=Image(), DeviceMemory memory_=DeviceMemory(), DeviceSize memoryOffset_=0)
| BindImageMemoryInfo (VkBindImageMemoryInfo const &rhs)
BindImageMemoryInfo & | operator= (VkBindImageMemoryInfo const &rhs)
BindImageMemoryInfo & | setPNext (const void *pNext_)
BindImageMemoryInfo & | setImage (Image image_)
BindImageMemoryInfo & | setMemory (DeviceMemory memory_)
BindImageMemoryInfo & | setMemoryOffset (DeviceSize memoryOffset_)
| operator VkBindImageMemoryInfo const & () const
| operator VkBindImageMemoryInfo & ()
bool | operator== (BindImageMemoryInfo const &rhs) const
bool | operator!= (BindImageMemoryInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
Image | image
DeviceMemory | memory
DeviceSize | memoryOffset

## Private Attributes

StructureType | sType = StructureType::eBindImageMemoryInfo

## Detailed Description

Definition at line 14348 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindImageMemoryInfo() [1/2]

VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::BindImageMemoryInfo | ( | Image | image_ = `Image()`,
|  | DeviceMemory | memory_ = `DeviceMemory()`,
|  | DeviceSize | memoryOffset_ = `0`
| ) |  |

inline

Definition at line 14350 of file vulkan.hpp.

: image( image_ )
, memory( memory_ )
, memoryOffset( memoryOffset_ )
{
}

## BindImageMemoryInfo() [2/2]

VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::BindImageMemoryInfo | ( | VkBindImageMemoryInfo const & | rhs | ) |

inline

Definition at line 14359 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImageMemoryInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindImageMemoryInfo &()

VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::operator VkBindImageMemoryInfo & | ( |  | ) |

inline

Definition at line 14398 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindImageMemoryInfo*>(this);
}

## operator VkBindImageMemoryInfo const &()

VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::operator VkBindImageMemoryInfo const & | ( |  | ) | const

inline

Definition at line 14393 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindImageMemoryInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::operator!= | ( | BindImageMemoryInfo const & | rhs | ) | const

inline

Definition at line 14412 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindImageMemoryInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::operator= | ( | VkBindImageMemoryInfo const & | rhs | ) |

inline

Definition at line 14364 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImageMemoryInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::operator== | ( | BindImageMemoryInfo const & | rhs | ) | const

inline

Definition at line 14403 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( image == rhs.image )
&& ( memory == rhs.memory )
&& ( memoryOffset == rhs.memoryOffset );
}

References image, memory, memoryOffset, pNext, and sType.

Referenced by operator!=().

## setImage()

BindImageMemoryInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::setImage | ( | Image | image_ | ) |

inline

Definition at line 14375 of file vulkan.hpp.

{
image = image_;
return *this;
}

## setMemory()

BindImageMemoryInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::setMemory | ( | DeviceMemory | memory_ | ) |

inline

Definition at line 14381 of file vulkan.hpp.

{
memory = memory_;
return *this;
}

## setMemoryOffset()

BindImageMemoryInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::setMemoryOffset | ( | DeviceSize | memoryOffset_ | ) |

inline

Definition at line 14387 of file vulkan.hpp.

{
memoryOffset = memoryOffset_;
return *this;
}

References memoryOffset.

## setPNext()

BindImageMemoryInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14369 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## image

Image VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::image

Definition at line 14422 of file vulkan.hpp.

Referenced by operator==().

## memory

DeviceMemory VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::memory

Definition at line 14423 of file vulkan.hpp.

Referenced by operator==().

## memoryOffset

DeviceSize VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::memoryOffset

Definition at line 14424 of file vulkan.hpp.

Referenced by operator==(), and setMemoryOffset().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::pNext = nullptr

Definition at line 14421 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::sType = StructureType::eBindImageMemoryInfo

private

Definition at line 14418 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

image
GLeglImageOES image
Definition: SDL_opengl.h:2148
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::pNext
const void * pNext
Definition: vulkan.hpp:14421
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::memory
DeviceMemory memory
Definition: vulkan.hpp:14423
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::image
Image image
Definition: vulkan.hpp:14422
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::BindImageMemoryInfo
BindImageMemoryInfo(Image image_=Image(), DeviceMemory memory_=DeviceMemory(), DeviceSize memoryOffset_=0)
Definition: vulkan.hpp:14350
VkBindImageMemoryInfo
Definition: vulkan_core.h:4019
memory
GLsizei GLenum GLsizei GLsizei GLuint memory
Definition: gl2ext.h:1474
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::operator==
bool operator==(BindImageMemoryInfo const &rhs) const
Definition: vulkan.hpp:14403
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::memoryOffset
DeviceSize memoryOffset
Definition: vulkan.hpp:14424
VULKAN_HPP_NAMESPACE::BindImageMemoryInfo::sType
StructureType sType
Definition: vulkan.hpp:14418